
package br.com.ginfes.producao;

/**
 * Please modify this class to meet your needs
 * This class is not complete
 */

import java.io.File;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

/**
 * This class was generated by Apache CXF 3.1.4
 * 2016-03-03T08:43:50.479-03:00
 * Generated source version: 3.1.4
 * 
 */
public final class ServiceGinfesImpl_ServiceGinfesImplPort_Client {

    private static final QName SERVICE_NAME = new QName("http://producao.ginfes.com.br", "ServiceGinfesImplService");

    private ServiceGinfesImpl_ServiceGinfesImplPort_Client() {
    }

    public static void main(String args[]) throws java.lang.Exception {
        URL wsdlURL = ServiceGinfesImplService.WSDL_LOCATION;
        if (args.length > 0 && args[0] != null && !"".equals(args[0])) { 
            File wsdlFile = new File(args[0]);
            try {
                if (wsdlFile.exists()) {
                    wsdlURL = wsdlFile.toURI().toURL();
                } else {
                    wsdlURL = new URL(args[0]);
                }
            } catch (MalformedURLException e) {
                e.printStackTrace();
            }
        }
      
        ServiceGinfesImplService ss = new ServiceGinfesImplService(wsdlURL, SERVICE_NAME);
        ServiceGinfesImpl port = ss.getServiceGinfesImplPort();  
        
        {
        System.out.println("Invoking consultarLoteRps...");
        java.lang.String _consultarLoteRps_arg0 = "";
        java.lang.String _consultarLoteRps__return = port.consultarLoteRps(_consultarLoteRps_arg0);
        System.out.println("consultarLoteRps.result=" + _consultarLoteRps__return);


        }
        {
        System.out.println("Invoking recepcionarLoteRpsV3...");
        java.lang.String _recepcionarLoteRpsV3_arg0 = "";
        java.lang.String _recepcionarLoteRpsV3_arg1 = "";
        java.lang.String _recepcionarLoteRpsV3__return = port.recepcionarLoteRpsV3(_recepcionarLoteRpsV3_arg0, _recepcionarLoteRpsV3_arg1);
        System.out.println("recepcionarLoteRpsV3.result=" + _recepcionarLoteRpsV3__return);


        }
        {
        System.out.println("Invoking consultarNfsePorRps...");
        java.lang.String _consultarNfsePorRps_arg0 = "";
        java.lang.String _consultarNfsePorRps__return = port.consultarNfsePorRps(_consultarNfsePorRps_arg0);
        System.out.println("consultarNfsePorRps.result=" + _consultarNfsePorRps__return);


        }
        {
        System.out.println("Invoking consultarNfse...");
        java.lang.String _consultarNfse_arg0 = "";
        java.lang.String _consultarNfse__return = port.consultarNfse(_consultarNfse_arg0);
        System.out.println("consultarNfse.result=" + _consultarNfse__return);


        }
        {
        System.out.println("Invoking consultarNfsePorRpsV3...");
        java.lang.String _consultarNfsePorRpsV3_arg0 = "";
        java.lang.String _consultarNfsePorRpsV3_arg1 = "";
        java.lang.String _consultarNfsePorRpsV3__return = port.consultarNfsePorRpsV3(_consultarNfsePorRpsV3_arg0, _consultarNfsePorRpsV3_arg1);
        System.out.println("consultarNfsePorRpsV3.result=" + _consultarNfsePorRpsV3__return);


        }
        {
        System.out.println("Invoking recepcionarLoteRps...");
        java.lang.String _recepcionarLoteRps_arg0 = "";
        java.lang.String _recepcionarLoteRps__return = port.recepcionarLoteRps(_recepcionarLoteRps_arg0);
        System.out.println("recepcionarLoteRps.result=" + _recepcionarLoteRps__return);


        }
        {
        System.out.println("Invoking consultarSituacaoLoteRpsV3...");
        java.lang.String _consultarSituacaoLoteRpsV3_arg0 = "";
        java.lang.String _consultarSituacaoLoteRpsV3_arg1 = "";
        java.lang.String _consultarSituacaoLoteRpsV3__return = port.consultarSituacaoLoteRpsV3(_consultarSituacaoLoteRpsV3_arg0, _consultarSituacaoLoteRpsV3_arg1);
        System.out.println("consultarSituacaoLoteRpsV3.result=" + _consultarSituacaoLoteRpsV3__return);


        }
        {
        System.out.println("Invoking consultarNfseV3...");
        java.lang.String _consultarNfseV3_arg0 = "";
        java.lang.String _consultarNfseV3_arg1 = "";
        java.lang.String _consultarNfseV3__return = port.consultarNfseV3(_consultarNfseV3_arg0, _consultarNfseV3_arg1);
        System.out.println("consultarNfseV3.result=" + _consultarNfseV3__return);


        }
        {
        System.out.println("Invoking cancelarNfse...");
        java.lang.String _cancelarNfse_arg0 = "";
        java.lang.String _cancelarNfse__return = port.cancelarNfse(_cancelarNfse_arg0);
        System.out.println("cancelarNfse.result=" + _cancelarNfse__return);


        }
        {
        System.out.println("Invoking consultarSituacaoLoteRps...");
        java.lang.String _consultarSituacaoLoteRps_arg0 = "";
        java.lang.String _consultarSituacaoLoteRps__return = port.consultarSituacaoLoteRps(_consultarSituacaoLoteRps_arg0);
        System.out.println("consultarSituacaoLoteRps.result=" + _consultarSituacaoLoteRps__return);


        }
        {
        System.out.println("Invoking cancelarNfseV3...");
        java.lang.String _cancelarNfseV3_arg0 = "";
        java.lang.String _cancelarNfseV3_arg1 = "";
        java.lang.String _cancelarNfseV3__return = port.cancelarNfseV3(_cancelarNfseV3_arg0, _cancelarNfseV3_arg1);
        System.out.println("cancelarNfseV3.result=" + _cancelarNfseV3__return);


        }
        {
        System.out.println("Invoking consultarLoteRpsV3...");
        java.lang.String _consultarLoteRpsV3_arg0 = "";
        java.lang.String _consultarLoteRpsV3_arg1 = "";
        java.lang.String _consultarLoteRpsV3__return = port.consultarLoteRpsV3(_consultarLoteRpsV3_arg0, _consultarLoteRpsV3_arg1);
        System.out.println("consultarLoteRpsV3.result=" + _consultarLoteRpsV3__return);


        }

        System.exit(0);
    }

}
